Bug 717884 - cobbler xml-rpc is not reachable from Satellite in an IPv6 only environment
cobbler xml-rpc is not reachable from Satellite in an IPv6 only environment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
541
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zazrivec
Pavel Studeník
:
Depends On:
Blocks: sat550-post-ga/sat550-test-blockers sat550-ipv6
  Show dependency treegraph
 
Reported: 2011-06-30 06:12 EDT by Milan Zazrivec
Modified: 2012-10-12 05:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: cobbler-2.0.7-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-12 05:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (1.10 KB, patch)
2011-06-30 06:12 EDT, Milan Zazrivec
no flags Details | Diff
updated patch (1.35 KB, patch)
2011-06-30 08:59 EDT, Milan Zazrivec
no flags Details | Diff
next evolution of cobbler ipv6 patch (3.27 KB, patch)
2011-11-03 13:10 EDT, Milan Zazrivec
no flags Details | Diff
next evolution of cobbler ipv6 patch (3.27 KB, patch)
2011-11-03 13:13 EDT, Milan Zazrivec
no flags Details | Diff
Next patch evolution (working w/ Satellite's cobbler-2.0.7) (3.72 KB, patch)
2011-11-11 11:00 EST, Milan Zazrivec
no flags Details | Diff
Next patch evolution (working w/ Satellite's cobbler-2.0.7) (6.82 KB, patch)
2012-01-23 12:52 EST, Milan Zazrivec
no flags Details | Diff
Next patch evolution (working w/ Satellite's cobbler-2.0.7) (3.86 KB, patch)
2012-01-26 06:12 EST, Milan Zazrivec
no flags Details | Diff
Next patch evolution (working w/ Satellite's cobbler-2.0.7) (4.50 KB, patch)
2012-01-26 06:31 EST, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2011-06-30 06:12:37 EDT
Created attachment 510626 [details]
patch

Description of problem:
* Satellite 5.4.1 installation in an IPv6 only environment
* Apache configuration, cobbler_wsgi.conf:

    ProxyPass /cobbler_api http://localhost:25151/
    ProxyPassReverse /cobbler_api http://localhost:25151/

* In an IPv6 only environment, Apache resolves "localhost" as ::1
* Cobbler listens on 127.0.0.1 only

As a result of the above, Apache won't be able to reach cobbler and
proxy the requests coming from the web application and / or taskomatic.

Version-Release number of selected component (if applicable):
cobbler-2.0.7-11

How reproducible:
Always

Steps to Reproduce:
1. Satellite 5.4.1 in an IPv6 only environment
2. Check /var/log/rhn/rhn_taskomatic_daemon.log
  
Actual results:
Apache is unable to reach Cobbler, errors like:

ERROR com.redhat.rhn.taskomatic.task.CobblerSyncTask - RuntimeExceptioneError trying to sync to cobbler: XmlRpcException calling cobbler.
java.lang.RuntimeException: XmlRpcException calling cobbler.
      at com.redhat.rhn.manager.kickstart.cobbler.CobblerXMLRPCHelper.invokeMethod(CobblerXMLRPCHelper.java:72)
      at com.redhat.rhn.taskomatic.task.CobblerSyncTask.execute(CobblerSyncTask.java:70)
      at com.redhat.rhn.taskomatic.task.RhnJavaJob.execute(RhnJavaJob.java:80)
      at com.redhat.rhn.taskomatic.TaskoJob.execute(TaskoJob.java:168)
      at org.quartz.core.JobRunShell.run(JobRunShell.java:216)
      at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:549)

Expected results:
Apache is able to reach Cobbler's XML-RPC

Additional info:
N/A
Comment 1 Milan Zazrivec 2011-06-30 08:59:31 EDT
Created attachment 510662 [details]
updated patch
Comment 2 Milan Zazrivec 2011-11-03 13:10:20 EDT
Created attachment 531611 [details]
next evolution of cobbler ipv6 patch
Comment 3 Milan Zazrivec 2011-11-03 13:13:04 EDT
Created attachment 531612 [details]
next evolution of cobbler ipv6 patch
Comment 4 Milan Zazrivec 2011-11-11 11:00:28 EST
Created attachment 533102 [details]
Next patch evolution (working w/ Satellite's cobbler-2.0.7)
Comment 5 Milan Zazrivec 2012-01-23 12:52:36 EST
Created attachment 557017 [details]
Next patch evolution (working w/ Satellite's cobbler-2.0.7)
Comment 6 Milan Zazrivec 2012-01-26 06:12:20 EST
Created attachment 557639 [details]
Next patch evolution (working w/ Satellite's cobbler-2.0.7)
Comment 7 Milan Zazrivec 2012-01-26 06:31:02 EST
Created attachment 557646 [details]
Next patch evolution (working w/ Satellite's cobbler-2.0.7)

Note You need to log in before you can comment on or make changes to this bug.